main()
{
ambientPlay("ambient_mp_powcamp");

maps\mp\_load::main();
maps\mp\bins_compound_fx::main();
maps\mp\gozip::main();
maps\mp\flybyyyy::main();
maps\mp\binsradar::main();
maps\mp\binsfan::main();
maps\mp\bins_1::main();
maps\mp\bins_2::main();
maps\mp\bins_3::main();
maps\mp\bins_4::main();
maps\mp\bins_5::main();
maps\mp\bins_6::main();
maps\mp\bins_7::main();
maps\mp\bins_8::main();
maps\mp\bins_9::main();
maps\mp\bins_10::main();
maps\mp\bins_11::main();
maps\mp\nukeit::main();

// Precache the model we will use once the bomb is planted on the wall
precacheModel("xmodel/bomb");
// Set up the effects used for wall explosion
level._effect["wallexplosion"] = loadfx("fx/explosions/mp_bomb.efx");
level._effect["wallexplosion2"] = loadfx("fx/explosions/mutha1.efx");
level._effect["glassbreak"] = loadfx ("fx/impacts/large_glass.efx"); 
level._effect["binwall"]	= loadfx("fx/explosions/grenade1.efx");
level._effect["binwall2"]	= loadfx("fx/explosions/explosion1.efx");
level._effect["nukeem"]	= loadfx("fx/explosions/waterhit_barge.efx ");

level thread maps\mp\_tankdrive_gmi::main();//for tanks
level thread maps\mp\_jeepdrive_gmi::main();//for jeeps
level thread maps\mp\_flak_gmi::main();//for flak88s

	flak = getent("flak1","targetname"); //maybe give it a better name?

	flak maps\mp\_flakvierling::init();


game["allies"] = "russian";
game["axis"] = "german";

game["russian_soldiertype"] = "conscript";
game["russian_soldiervariation"] = "winter";
game["german_soldiertype"] = "wehrmacht";
game["german_soldiervariation"] = "winter";

game["attackers"] = "allies";
game["defenders"] = "axis";

//retrival settings - thanks to MMS wyatt earp
	level.obj["1"] = (&"RE_OBJ_CODE_BOOK");
              level.obj["2"] = (&"RE_OBJ_ARTILLERY_MAP");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = "Capture the code book and map, freaking kill the other guys.";
	game["re_defenders_obj_text"] = "Defend the code book and map,well duh.";
	game["re_spectator_obj_text"] = "Allies: Must capture the code book and map";
	game["re_attackers_intro_text"] = "Capture the code book and map.";
	game["re_defenders_intro_text"] = "Defend the code book and map.";

// Run the function that does the wall explosion
	level wallbomb();
}

wallbomb()
{
	// Get all of the wall parts, the bomb, and the bomb trigger
	bomb = getent ("wallbomb","targetname");
	bomb.trigger = getent (bomb.target,"targetname");
	wallbefore = getent ("wallbefore","targetname");
	wallafter = getent ("wallafter","targetname");
	
	// Hide the destroyed version of the wall until it's blown up
	wallafter hide();
	
	// Wait until the bomb is triggered and is triggered by the right team
	// Can change the team to "axis" if you want Axis to blow up the wall instead
	while (5)
	{
                            bomb.trigger waittill ("trigger",other);
                            //if ((isplayer (other)) && (other.pers["team"] == "allies"))
			break;
	}
	
	// The bomb was planted by the right team so play a bomb planting sound
	bomb playsound ("MP_bomb_plant");
	
	// Delete the bombs trigger since it's not needed anymore
	bomb.trigger delete();
	
	// Change the bomb model from the flashing bomb to the solid bomb model
	bomb setmodel ("xmodel/bomb");
	
	// Wait .5 seconds for the bomb planting sound to finish
	wait .5;
	
	// Now play a looping tick sound on the bomb
	bomb playLoopSound("bomb_tick");
	
	// Wait 15 seconds for the bomb to blow up, can change this to something else if you want
	wait 30;
	
	// Bomb will explode now so stop the ticking sound
	bomb stopLoopSound("bomb_tick");
	
	// Set the origin for the explosion and radius damage
	org = bomb getorigin();
	
	// Delete the exploded bomb
	bomb delete();
	
	// Play the explosion effects
	playfx(level._effect["wallexplosion"], org);
	playfx(level._effect["wallexplosion2"], org);
	
	// Do radius damage to kill players in the area, perameters are (origin, range, maxdistance, mindistance)
	radiusDamage(org + (0,0,50), 100, 80, 50);
	
	// Show the destroyed version of the wall
	wallafter show();
	
	// Delete the whole version of the wall
	wallbefore delete();
}













